## rtpengine-mr8.5.5.1.tar.gz

=== Makefile ===
RTPENGINE_ROOT_DIR=.
with_transcoding ?= yes

include lib/lib.Makefile

.PHONY:	all distclean clean coverity

all:
	$(MAKE) -C daemon
ifeq ($(with_transcoding),yes)
	$(MAKE) -C recording-daemon
endif
	$(MAKE) -C iptables-extension

.PHONY: with-kernel

with-kernel: all
	$(MAKE) -C kernel-module

distclean clean:
	$(MAKE) -C daemon clean
	$(MAKE) -C recording-daemon clean
	$(MAKE) -C iptables-extension clean
	$(MAKE) -C kernel-module clean
	$(MAKE) -C t clean
	rm -rf project.tgz cov-int

.DEFAULT:
	$(MAKE) -C daemon $@
	$(MAKE) -C recording-daemon $@
	$(MAKE) -C iptables-extension $@
	$(MAKE) -C kernel-module $@

.PHONY: check

check: all
	$(MAKE) -C t

coverity:
	cov-build --dir cov-int $(MAKE) check
	tar -czf project.tgz cov-int
	curl --form token=$(COVERITY_RTPENGINE_TOKEN) \
	  --form email=$(DEBEMAIL) \
	  --form file=@project.tgz \
	  --form version="$(RTPENGINE_VERSION)" \
	  --form description="automatic upload" \
	  https://scan.coverity.com/builds?project=$(COVERITY_RTPENGINE_PROJECT)

=== daemon/Makefile ===
TARGET=		rtpengine

with_iptables_option ?= yes
with_transcoding ?= yes

# look for bcg729
# system pkg-config
ifeq ($(shell pkg-config --exists libbcg729 && echo yes),yes)
have_bcg729 := yes
bcg729_inc := $(shell pkg-config --cflags libbcg729)
bcg729_lib := $(shell pkg-config --libs libbcg729)
else
# system generic
ifneq (,$(wildcard /usr/include/bcg729/decoder.h))
have_bcg729 := yes
else
# /usr/src
ifneq (,$(wildcard /usr/src/bcg729/include/bcg729/decoder.h))
have_bcg729 := yes
bcg729_inc := -I/usr/src/bcg729/include/
bcg729_lib := -L/usr/src/bcg729/src/ -lbcg729
else
# rfuchs dev
ifneq (,$(wildcard $(HOME)/src/bcg729/include/bcg729/decoder.h))
have_bcg729 := yes
bcg729_inc := -I$(HOME)/src/bcg729/include/
bcg729_lib := -L$(HOME)/src/bcg729/src/ -lbcg729
else
# home directory
ifneq (,$(wildcard $(HOME)/bcg729/include/bcg729/decoder.h))
have_bcg729 := yes
bcg729_inc := -I$(HOME)/bcg729/include/
bcg729_lib := -L$(HOME)/bcg729/src/ -lbcg729
else
# included toplevel
ifneq (,$(wildcard ../bcg729/include/bcg729/decoder.h))
have_bcg729 := yes
bcg729_inc := -I../bcg729/include/
bcg729_lib := -L../bcg729/src/ -lbcg729
else
# /usr/local/include when installing from git
ifneq (,$(wildcard /usr/local/include/bcg729/decoder.h))
have_bcg729 := yes
bcg729_inc := -I/usr/local/include/
bcg729_lib := -L/usr/local/lib64/ -lbcg729
endif
endif
endif
endif
endif
endif
endif

CFLAGS=		-g -Wall -Wstrict-prototypes -pthread -fno-strict-aliasing
CFLAGS+=	-std=c99
CFLAGS+=	$(shell pkg-config --cflags glib-2.0)
CFLAGS+=	$(shell pkg-config --cflags gthread-2.0)
CFLAGS+=	$(shell pkg-config --cflags zlib)
CFLAGS+=	$(shell pkg-config --cflags openssl)
CFLAGS+=	$(shell pkg-config --cflags libevent_pthreads)
CFLAGS+=	$(shell pkg-config --cflags libpcre)
CFLAGS+=	$(shell pkg-config xmlrpc_client --cflags 2> /dev/null || xmlrpc-c-config client --cflags)
CFLAGS+=	$(shell pkg-config xmlrpc --cflags 2> /dev/null)
CFLAGS+=	$(shell pkg-config xmlrpc_util --cflags 2> /dev/null)
CFLAGS+=	$(shell pkg-config --cflags json-glib-1.0)
ifeq ($(with_iptables_option),yes)
CFLAGS+=	$(shell pkg-config --cflags libiptc)
CFLAGS+=	-DWITH_IPTABLES_OPTION
endif
CFLAGS+=	-I. -I../kernel-module/ -I../lib/ -I../include/
CFLAGS+=	-D_GNU_SOURCE
ifeq ($(with_transcoding),yes)
CFLAGS+=	$(shell pkg-config --cflags libavcodec)
CFLAGS+=	$(shell pkg-config --cflags libavformat)
CFLAGS+=	$(shell pkg-config --cflags libavutil)
CFLAGS+=	$(shell pkg-config --cflags libswresample)
CFLAGS+=	$(shell pkg-config --cflags libavfilter)
CFLAGS+=	$(shell pkg-config --cflags spandsp)
CFLAGS+=	-DWITH_TRANSCODING
ifeq ($(have_bcg729),yes)
CFLAGS+=	-DHAVE_BCG729
CFLAGS+=	$(bcg729_inc)
endif
CFLAGS+=        $(shell mysql_config --cflags)
else
CFLAGS+=	-DWITHOUT_CODECLIB
endif

CFLAGS+=	-DRE_PLUGIN_DIR="\"/usr/lib/rtpengine\""

### compile time options:
#CFLAGS+=	-DSRTCP_KEY_DERIVATION_RFC_COMPLIANCE
#CFLAGS+=	-DTERMINATE_SDP_AT_BLANK_LINE
#CFLAGS+=	-DSTRICT_SDES_KEY_LIFETIME

LDLIBS=		-lm
LDLIBS+=	$(shell pkg-config --libs glib-2.0)
LDLIBS+=	$(shell pkg-config --libs gthread-2.0)
LDLIBS+=	$(shell pkg-config --libs zlib)
LDLIBS+=	$(shell pkg-config --libs libpcre)
LDLIBS+=	$(shell pkg-config --libs libcrypto)
LDLIBS+=	$(shell pkg-config --libs openssl)
LDLIBS+=	$(shell pkg-config --libs libevent_pthreads)
LDLIBS+=	-lpcap
LDLIBS+=	$(shell pkg-config xmlrpc_client --libs 2> /dev/null || xmlrpc-c-config client --libs)
LDLIBS+=	$(shell pkg-config xmlrpc --libs 2> /dev/null)
LDLIBS+=	$(shell pkg-config xmlrpc_util --libs 2> /dev/null)
LDLIBS+=	-lhiredis
LDLIBS+=	$(shell pkg-config --libs json-glib-1.0)
ifeq ($(with_iptables_option),yes)
LDLIBS+=	$(shell pkg-config --libs libiptc)
endif
ifeq ($(with_transcoding),yes)
LDLIBS+=	$(shell pkg-config --libs libavcodec)
LDLIBS+=	$(shell pkg-config --libs libavformat)
LDLIBS+=	$(shell pkg-config --libs libavutil)
LDLIBS+=	$(shell pkg-config --libs libswresample)
LDLIBS+=	$(shell pkg-config --libs libavfilter)
LDLIBS+=	$(shell pkg-config --libs spandsp)
ifeq ($(have_bcg729),yes)
LDLIBS+=	$(bcg729_lib)
endif
LDLIBS+=        $(shell mysql_config --libs)
endif

SRCS=		main.c kernel.c poller.c aux.c control_tcp.c call.c control_udp.c redis.c \
		bencode.c cookie_cache.c udp_listener.c control_ng.strhash.c sdp.strhash.c stun.c rtcp.c \
		crypto.c rtp.c call_interfaces.strhash.c dtls.c log.c cli.c graphite.c ice.c \
		media_socket.c homer.c recording.c statistics.c cdr.c ssrc.c iptables.c tcp_listener.c \
		codec.c load.c dtmf.c timerthread.c media_player.c jitter_buffer.c t38.c
LIBSRCS=	loglib.c auxlib.c rtplib.c str.c socket.c streambuf.c ssllib.c dtmflib.c
ifeq ($(with_transcoding),yes)
LIBSRCS+=	codeclib.c resample.c
endif
OBJS=		$(SRCS:.c=.o) $(LIBSRCS:.c=.o)

PODS=		rtpengine.pod
MANS=		$(PODS:.pod=.8)

include ../lib/common.Makefile

ifeq ($(with_transcoding),yes)
.depend:	dtmf_rx_fillin.h
endif

include		.depend

=== recording-daemon/Makefile ===
TARGET=		rtpengine-recording

CFLAGS=		-g -Wall -Wstrict-prototypes -pthread -I. -I../lib/ -I../kernel-module/
CFLAGS+=	-std=c99 -fno-strict-aliasing
CFLAGS+=	-D_GNU_SOURCE -D_POSIX_SOURCE -D_POSIX_C_SOURCE
CFLAGS+=	$(shell pkg-config --cflags glib-2.0)
CFLAGS+=	$(shell pkg-config --cflags gthread-2.0)
CFLAGS+=	$(shell pkg-config --cflags libavcodec)
CFLAGS+=	$(shell pkg-config --cflags libavformat)
CFLAGS+=	$(shell pkg-config --cflags libavutil)
CFLAGS+=	$(shell pkg-config --cflags libswresample)
CFLAGS+=	$(shell pkg-config --cflags libavfilter)
CFLAGS+=	$(shell mysql_config --cflags)
CFLAGS+=	$(shell pkg-config --cflags openssl)

LDLIBS=		-lm
LDLIBS+=	$(shell pkg-config --libs glib-2.0)
LDLIBS+=	$(shell pkg-config --libs gthread-2.0)
LDLIBS+=	$(shell pkg-config --libs libavcodec)
LDLIBS+=	$(shell pkg-config --libs libavformat)
LDLIBS+=	$(shell pkg-config --libs libavutil)
LDLIBS+=	$(shell pkg-config --libs libswresample)
LDLIBS+=	$(shell pkg-config --libs libavfilter)
LDLIBS+=	$(shell mysql_config --libs)
LDLIBS+=	$(shell pkg-config --libs openssl)

SRCS=		epoll.c garbage.c inotify.c main.c metafile.c stream.c recaux.c packet.c \
		decoder.c output.c mix.c db.c log.c forward.c tag.c poller.c
LIBSRCS=	loglib.c auxlib.c rtplib.c codeclib.c resample.c str.c socket.c streambuf.c ssllib.c \
		dtmflib.c
OBJS=		$(SRCS:.c=.o) $(LIBSRCS:.c=.o)

PODS=		rtpengine-recording.pod
MANS=		$(PODS:.pod=.8)

include ../lib/common.Makefile

include		.depend

=== t/Makefile ===
TARGET=		all-tests

with_transcoding ?= yes

CFLAGS=		-g -Wall -Wstrict-prototypes -pthread -fno-strict-aliasing
CFLAGS+=	-std=c99
CFLAGS+=	$(shell pkg-config --cflags glib-2.0)
CFLAGS+=	$(shell pkg-config --cflags gthread-2.0)
CFLAGS+=	$(shell pkg-config --cflags openssl)
CFLAGS+=	-I. -I../lib/ -I../kernel-module/ -I../include/
CFLAGS+=	-D_GNU_SOURCE
CFLAGS+=	$(shell pkg-config --cflags libpcre)
ifeq ($(with_transcoding),yes)
CFLAGS+=	$(shell pkg-config --cflags libavcodec)
CFLAGS+=	$(shell pkg-config --cflags libavformat)
CFLAGS+=	$(shell pkg-config --cflags libavutil)
CFLAGS+=	$(shell pkg-config --cflags libswresample)
CFLAGS+=	$(shell pkg-config --cflags libavfilter)
CFLAGS+=	$(shell pkg-config --cflags spandsp)
CFLAGS+=	-DWITH_TRANSCODING
CFLAGS+=	$(shell pkg-config --cflags zlib)
CFLAGS+=	$(shell pkg-config --cflags json-glib-1.0)
CFLAGS+=	$(shell pkg-config --cflags libevent_pthreads)
CFLAGS+=	$(shell pkg-config xmlrpc_client --cflags 2> /dev/null || xmlrpc-c-config client --cflags)
CFLAGS+=	$(shell pkg-config xmlrpc --cflags 2> /dev/null)
CFLAGS+=	$(shell pkg-config xmlrpc_util --cflags 2> /dev/null)
ifeq ($(with_amr_tests),yes)
CFLAGS+=	-DWITH_AMR_TESTS
endif
CFLAGS+=	$(shell mysql_config --cflags)
else
CFLAGS+=	-DWITHOUT_CODECLIB
endif

LDLIBS=		-lm
LDLIBS+=	$(shell pkg-config --libs glib-2.0)
LDLIBS+=	$(shell pkg-config --libs gthread-2.0)
LDLIBS+=	$(shell pkg-config --libs libcrypto)
LDLIBS+=	$(shell pkg-config --libs openssl)
LDLIBS+=	$(shell pkg-config --libs libpcre)
ifeq ($(with_transcoding),yes)
LDLIBS+=	$(shell pkg-config --libs libavcodec)
LDLIBS+=	$(shell pkg-config --libs libavformat)
LDLIBS+=	$(shell pkg-config --libs libavutil)
LDLIBS+=	$(shell pkg-config --libs libswresample)
LDLIBS+=	$(shell pkg-config --libs libavfilter)
LDLIBS+=	$(shell pkg-config --libs spandsp)
LDLIBS+=	$(shell pkg-config --libs zlib)
LDLIBS+=	$(shell pkg-config --libs json-glib-1.0)
LDLIBS+=	-lpcap
LDLIBS+=	$(shell pkg-config --libs libevent_pthreads)
LDLIBS+=	$(shell pkg-config xmlrpc_client --libs 2> /dev/null || xmlrpc-c-config client --libs)
LDLIBS+=	$(shell pkg-config xmlrpc --libs 2> /dev/null)
LDLIBS+=	$(shell pkg-config xmlrpc_util --libs 2> /dev/null)
LDLIBS+=	-lhiredis
LDLIBS+=	$(shell mysql_config --libs)
endif

SRCS=		bitstr-test.c aes-crypt.c const_str_hash-test.strhash.c
LIBSRCS=	loglib.c auxlib.c str.c rtplib.c
DAEMONSRCS=	crypto.c ssrc.c aux.c rtp.c
HASHSRCS=

ifeq ($(with_transcoding),yes)
SRCS+=		transcode-test.c test-dtmf-detect.c payload-tracker-test.c
SRCS+=		spandsp_recv_fax_pcm.c spandsp_recv_fax_t38.c spandsp_send_fax_pcm.c \
		spandsp_send_fax_t38.c
ifeq ($(with_amr_tests),yes)
SRCS+=		amr-decode-test.c amr-encode-test.c
endif
LIBSRCS+=	codeclib.c resample.c socket.c streambuf.c dtmflib.c
DAEMONSRCS+=	codec.c call.c ice.c kernel.c media_socket.c stun.c bencode.c poller.c \
		dtls.c recording.c statistics.c rtcp.c redis.c iptables.c graphite.c \
		cookie_cache.c udp_listener.c homer.c load.c cdr.c dtmf.c timerthread.c \
		media_player.c jitter_buffer.c t38.c
HASHSRCS+=	call_interfaces.c control_ng.c sdp.c
endif

OBJS=		$(SRCS:.c=.o) $(LIBSRCS:.c=.o) $(DAEMONSRCS:.c=.o) $(HASHSRCS:.c=.strhash.o)

COMMONOBJS=	str.o auxlib.o rtplib.o loglib.o

include ../lib/common.Makefile

include		.depend

.PHONY:		all-tests unit-tests daemon-tests

TESTS=		bitstr-test aes-crypt const_str_hash-test.strhash
ifeq ($(with_transcoding),yes)
TESTS+=		transcode-test test-dtmf-detect payload-tracker-test
ifeq ($(with_amr_tests),yes)
TESTS+=		amr-decode-test amr-encode-test
endif
endif

ADD_CLEAN=	tests-preload.so $(TESTS)

ifeq ($(with_transcoding),yes)
all-tests:	unit-tests daemon-tests
else
all-tests:	unit-tests
endif
	true # override linking recipe from common.Makefile

unit-tests:	$(TESTS)
	for x in $(TESTS); do echo testing: $$x; G_DEBUG=fatal-warnings ./$$x || exit 1; done

daemon-tests:	tests-preload.so
	$(MAKE) -C ../daemon
	rm -rf fake-sockets
	mkdir fake-sockets
	LD_PRELOAD=../t/tests-preload.so RTPE_BIN=../daemon/rtpengine TEST_SOCKET_PATH=./fake-sockets \
		   perl -I../perl auto-daemon-tests.pl
	LD_PRELOAD=../t/tests-preload.so RTPE_BIN=../daemon/rtpengine TEST_SOCKET_PATH=./fake-sockets \
		   perl -I../perl auto-daemon-tests-jb.pl
	test "$$(ls fake-sockets)" = ""
	rmdir fake-sockets

bitstr-test:	bitstr-test.o

spandsp_send_fax_pcm:	spandsp_send_fax_pcm.o

spandsp_recv_fax_pcm:	spandsp_recv_fax_pcm.o

spandsp_send_fax_t38:	spandsp_send_fax_t38.o

spandsp_recv_fax_t38:	spandsp_recv_fax_t38.o

spandsp_raw_fax_tests: spandsp_send_fax_pcm spandsp_recv_fax_pcm spandsp_send_fax_t38 spandsp_recv_fax_t38

amr-decode-test: amr-decode-test.o $(COMMONOBJS) codeclib.o resample.o dtmflib.o

amr-encode-test: amr-encode-test.o $(COMMONOBJS) codeclib.o resample.o dtmflib.o

test-dtmf-detect: test-dtmf-detect.o

aes-crypt:	aes-crypt.o $(COMMONOBJS) crypto.o

transcode-test:	transcode-test.o $(COMMONOBJS) codeclib.o resample.o codec.o ssrc.o call.o ice.o aux.o \
	kernel.o media_socket.o stun.o bencode.o socket.o poller.o dtls.o recording.o statistics.o \
	rtcp.o redis.o iptables.o graphite.o call_interfaces.strhash.o sdp.strhash.o rtp.o crypto.o \
	control_ng.strhash.o \
	streambuf.o cookie_cache.o udp_listener.o homer.o load.o cdr.o dtmf.o timerthread.o \
	media_player.o jitter_buffer.o dtmflib.o t38.o

payload-tracker-test: payload-tracker-test.o $(COMMONOBJS) ssrc.o aux.o auxlib.o rtp.o crypto.o codeclib.o \
	resample.o dtmflib.o

const_str_hash-test.strhash: const_str_hash-test.strhash.o $(COMMONOBJS)

tests-preload.so:	tests-preload.c
	$(CC) -g -D_GNU_SOURCE -std=c99 -o $@ -Wall -shared -fPIC $< -ldl

ifeq ($(with_transcoding),yes)
.depend: dtmf_rx_fillin.h
endif

=== debian/changelog ===
ngcp-rtpengine (8.5.5.1+0~mr8.5.5.1) unstable; urgency=medium

  [ Richard Fuchs ]
  * [c9fde79] TT#14008 fix typo in pod file
  * [8c4759c] TT#120402 always update output SSRC mapping
  * [5b69491] TT#14008 fix seq_file usage
  * [50b059c] TT#111150 fix an SSRC reference leak
  * [8491b18] TT#92250 add codec-except option
  * [0e1c349] TT#14800 update last_packet during signalling events
  * [bcbeccc] TT#14008 fix minimum XR packet size check

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 08 Jul 2021 12:02:39 +0200

ngcp-rtpengine (8.5.5.0+0~mr8.5.5.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [5f60188] TT#14008 fix possible pcap namespace issue
  * [0ff8a4e] TT#109251 fix redis restore segfault
  * [2e151d6] TT#115400 explicitly disallow ptime in non-RTP SDPs
  * [0b22bff] TT#14008 fix G.729 recording with bcg729

  [ Dennis Yurasov ]
  * [d1dea32] SSRC change fix in kernelized stream

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 05 Apr 2021 14:30:49 +0200

ngcp-rtpengine (8.5.4.0+0~mr8.5.4.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [eb3104e] TT#99503 fix possible T.38 gateway deadlock
  * [22f7d6e] TT#102450 fix AMR recording
  * [13dfc36] TT#81212 add function to change call state (own/foreign)
  * [982aee7] TT#81212 add trigger to set all calls to own or foreign
  * [9bbeb6e] TT#81212 mark calls as owned upon activity
  * [ce9473d] TT#104400 support kernels >= 5.9.9
  * [022a6a1] TT#104400 further update for kernels >= 4.19.158
  * [bc03971] TT#104400 further update for kernels >= 4.19.158
  * [5dfba79] TT#105000 don't send STUN response in response to responses

  [ timando ]
  * [5fc6b3c] TT#104400 Update xt_RTPENGINE.c

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 14 Jan 2021 16:49:37 +0100

ngcp-rtpengine (8.5.3.0+0~mr8.5.3.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [0ec4491] Unkernelise streams when recording is stopped
  * [005e256] TT#88750 fix SRTP not working after Redis restart
  * [35d9a52] TT#90101 don't blindly accept a protocol switch in an answer
  * [0f9e917] fix mem handling for Redis auth strings
  * [5edb596] add missing Redis auth for async context
  * [8146c3e] TT#96200 fix SRTP multi-protocol re-offer

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 19 Oct 2020 14:29:37 +0200

ngcp-rtpengine (8.5.2.0+0~mr8.5.2.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [080b1c8] TT#86102 remove aggressive endpoint learning heuristics
  * [efd66e5] Recrypt SRTP for DTMF logging

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 24 Jul 2020 13:50:33 +0200

ngcp-rtpengine (8.5.1.0+0~mr8.5.1.0) unstable; urgency=medium

  [ attermann ]
  * [032c6e4] Added cli command for parseable stats.
  * [ccf1d46] Extended json control statistics
  * [74f5676] Made hash tables for flags case-insensitive.
  * [da3c40e] Added "currentstatistics" to json stats.

  [ root ]
  * [e44abd3] JB marker fix
  * [05b6da4] JB marker fix
  * [5179de7] trap divide error crash fix

  [ Richard Fuchs ]
  * [89175c8] TT#81850 fix SRTP re-offer and RTP to SRTP switch
  * [19ac0de] fix tests for non-bcg729 case
  * [e25d0b9] TT#82100 hunt for usable payload type for DTMF injection
  * [5f3f203] TT#82203 add stats for transcoded sessions
  * [64e6bf4] TT#82203 add detailed transcoding stats
  * [7063a27] TT#82650 fix /list never ending output
  * [d715269] TT#82650 add missing flags to ng scripts
  * [a0d0733] fix compilation when spandsp is not present
  * [61acd97] TT#82651 avoid unnecessary transcoding when DTMF PT is present
  * [d97a056] TT#83150 fix SSRC substitution w/ SRTP in kernel
  * [38bb6d8] TT#82651 same as 61acd9761 but in reverse
  * [ac765d1] TT#82410 unify stats gathering functions
  * [1015cea] TT#82401 amend stats gathering to detect ints
  * [6d2aecc] TT#82401 amend stats gather to keep track of braces
  * [cdcf80c] TT#82401 add statistics NG command
  * [8a4f88f] TT#55050 man page updates
  * [f4717cb] TT#28300 make sure log marker strings are always set
  * [a1fb923] TT#28300 eliminate free_buf in favour of free_gbuf
  * [48b33bd] TT#28300 move auto cleanup functions to lib files
  * [39b04ec] TT#28300 use more auto cleanup variables in config_load
  * [3ca61f3] TT#28300 fix --config-section not being honoured
  * [08fc2ec] TT#28300 free config strings with dupes between argv and file
  * [a4849f7] TT#28300 eliminate need for if_a_global
  * [2a4dbd8] TT#28300 add cleanup of global interface structs
  * [e01b3b4] TT#28300 add cleanup of calls structs
  * [1589c29] TT#28300 add cleanup of poller related data
  * [3c3729f] TT#28300 fix missing strdup for multi homed interfaces
  * [1095440] TT#82410 fix missing comma for JSON list of objects
  * [203f502] TT#77806 add port stats to JSON/bencode output
  * [92ee64f] TT#84350 fix make races
  * [7cbea58] fix str_init_dup_str
  * [f6874af] fix another JSON comma missing
  * [6b49c88] don't always reset crypto when DTLS is in use
  * [a3b298e] add local address/family to NG stats output
  * [b7d3db1] add alternative dummy codeclib_free
  * [9d53e73] TT#84360 simplify log printing routine
  * [eae7f3a] TT#84360 add new option to split multi-line log messages
  * [dd3f77b] trim trailing spaces from config values
  * [832f73f] TT#85750 add transcoder stats to stats output
  * [8f5ee5b] TT#84804 test lib: don't require object when not necessary
  * [cba8127] TT#84804 test lib: return port when requested to
  * [54a39db] TT#84804 start DTLS as soon as ICE can communicate
  * [592af4d] TT#84804 add tests for ICE/DTLS and GH 1035
  * [18830a1] TT#84804 detect and report collisions in ICE candidate pairs
  * [8e22c9a] TT#85701 improve branch handling with delete-delay=0
  * [87521ea] TT#85701 fix regression from 8e22c9a41

  [ Sebastian Kemper ]
  * [c9cf633] kernel-module: fix implicit function declaration

  [ Stefan Mititelu ]
  * [6043d15] Add drop-traffic=start/stop flag
  * [de28a65] Solve Vlagrind "definitely lost" memory leaks


=== debian/control ===
Source: ngcp-rtpengine
Section: net
Priority: optional
Maintainer: Sipwise Development Team <support@sipwise.com>
Homepage: https://www.sipwise.com/
Standards-Version: 3.9.8
Build-Depends:
 debhelper-compat (= 12),
 default-libmysqlclient-dev,
 gperf,
 libavcodec-dev (>= 6:10),
 libavfilter-dev (>= 6:10),
 libavformat-dev (>= 6:10),
 libavutil-dev (>= 6:10),
 libbcg729-dev <!pkg.ngcp-rtpengine.nobcg729>,
 libbencode-perl,
 libcrypt-openssl-rsa-perl,
 libcrypt-rijndael-perl,
 libcurl4-openssl-dev | libcurl4-gnutls-dev,
 libdigest-crc-perl,
 libdigest-hmac-perl,
 libevent-dev (>= 2.0),
 libglib2.0-dev (>= 2.30),
 libhiredis-dev,
 libio-multiplex-perl,
 libio-socket-inet6-perl,
 libio-socket-ip-perl,
 libiptc-dev,
 libjson-glib-dev,
 libnet-interface-perl,
 libpcap0.8-dev,
 libpcre3-dev,
 libsocket6-perl,
 libspandsp-dev,
 libssl-dev (>= 1.0.1),
 libswresample-dev (>= 6:10),
 libsystemd-dev,
 libxmlrpc-core-c3-dev (>= 1.16.07),
 libxtables-dev (>= 1.4) | iptables-dev (>= 1.4),
 markdown,
 zlib1g-dev,

Package: ngcp-rtpengine-daemon
Architecture: any
Recommends:
 ngcp-rtpengine-recording-daemon,
 ngcp-rtpengine-utils,
Suggests:
 ngcp-system-tools,
Depends:
 lsb-base (>= 3.0-6),
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 ngcp-mediaproxy-ng-daemon,
 ngcp-rtpengine-redis1,
Replaces:
 ngcp-mediaproxy-ng-daemon,
 ngcp-rtpengine-redis1,
Description: proxy for RTP and media streams used in NGCP, userspace part
 This daemon handles the first stages of proxying media streams and talks to
 the kernel part of the proxy for eventual high-performance packet forwarding.

Package: ngcp-rtpengine-recording-daemon
Architecture: any
Recommends:
 ngcp-rtpengine-utils,
Suggests:
 ngcp-system-tools,
Depends:
 lsb-base (>= 3.0-6),
 nfs-common,
 ${misc:Depends},
 ${shlibs:Depends},
Description: recording daemon for RTP and media streams
 This daemon handles the call recording (media intercept) component of rtpengine.

Package: ngcp-rtpengine-iptables
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 ngcp-mediaproxy-ng-iptables,
Replaces:
 ngcp-mediaproxy-ng-iptables,
Description: IPtables extension module for the kernel-space NGCP media proxy
 Provides the IPtables extension needed to configure the mediaproxy rule.

Package: ngcp-rtpengine
Architecture: all
Depends:
 ngcp-rtpengine-daemon (>= ${source:Version}),
 ngcp-rtpengine-iptables (>= ${source:Version}),
 ngcp-rtpengine-kernel-dkms (>= ${source:Version}),
 ngcp-rtpengine-recording-daemon (>= ${source:Version}),
 ngcp-rtpengine-utils (>= ${source:Version}),
 ${misc:Depends},
Conflicts:
 ngcp-mediaproxy-ng,
Replaces:
 ngcp-mediaproxy-ng,
Description: NGCP RTP/media proxy - meta package
 This is a meta package for easy installation of all four parts of the NGCP
 media proxy. It will install the user-space daemon, the kernel-space IPtables
 module, the IPtables extension module and utility scripts.

Package: ngcp-rtpengine-kernel-source
Architecture: all
Section: kernel
Depends:
 debhelper-compat (= 12),
 module-assistant,
 ${misc:Depends},
Conflicts:
 ngcp-mediaproxy-ng-kernel-source,
Replaces:
 ngcp-mediaproxy-ng-kernel-source,
Description: IPtables kernel module for the NGCP media proxy - source
 Provides the kernel-space part of the NGCP media proxy for high-
 performance packet forwarding.
 This package contains the source to be built with module-assistant or
 kernel-package.

Package: ngcp-rtpengine-kernel-dkms
Architecture: all
Section: kernel
Suggests:
 ngcp-system-tools,
Depends:
 dkms (>= 1.95),
 lsb-release,
 ${misc:Depends},
Conflicts:
 ngcp-mediaproxy-ng-kernel-dkms,
Replaces:
 ngcp-mediaproxy-ng-kernel-dkms,
Description: IPtables kernel module for the NGCP media proxy - DKMS
 Provides the kernel-space part of the NGCP media proxy for high-
 performance packet forwarding.
 This package contains the source to be built with dkms.

Package: ngcp-rtpengine-utils
Architecture: all
Depends:
 libbencode-perl,
 libconfig-tiny-perl,
 libcrypt-rijndael-perl,
 libdigest-hmac-perl,
 libio-socket-inet6-perl,
 libio-socket-ip-perl,
 libsocket6-perl,
 netcat-openbsd | netcat,
 ${misc:Depends},
 ${perl:Depends},
Description: scripts and Perl modules for NGCP rtpengine
 This package contains scripts and Perl modules for NGCP rtpengine
